Package: libanyevent-perl / 7.170-2

replace-abuse-die-with-warn.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
Description: replace hardcoded die by a warn if IO::Async::Loop::AnyEvent is in use
Bug-Debian: https://bugs.debian.org/706453
Forwarded: https://www.nntp.perl.org/group/perl.perl5.porters/2012/02/msg183037.html
Author: Xavier Guimard <x.guimard@free.fr>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2019-07-19

--- a/lib/AnyEvent.pm
+++ b/lib/AnyEvent.pm
@@ -1448,7 +1448,10 @@
    # the author knows about the problems and what it does to AnyEvent as a whole
    # (and the ability of others to use AnyEvent), but simply wants to abuse AnyEvent
    # anyway.
-   AnyEvent::log fatal => "IO::Async::Loop::AnyEvent detected - that module is broken by\n"
+   #
+   # Debian change (see README.Debian):
+   # "AnyEvent::log fatal" is relaced by "AnyEvent::log 5"
+   AnyEvent::log 5 => "IO::Async::Loop::AnyEvent detected - that module is broken by\n"
                         . "design, abuses internals and breaks AnyEvent - will not continue."
       if exists $INC{"IO/Async/Loop/AnyEvent.pm"};